List apps
curl --request GET \
--url https://cloud-api.phala.com/api/v1/appsimport requests
url = "https://cloud-api.phala.com/api/v1/apps"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud-api.phala.com/api/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dstack_apps": [
{
"id": "<string>",
"name": "<string>",
"app_id": "<string>",
"created_at": "<string>",
"kms_type": "<string>",
"app_provision_type": "<string>",
"app_icon_url": "<string>",
"profile": {
"display_name": "<string>",
"avatar_url": "<string>",
"description": "<string>",
"custom_domain": "<string>"
},
"current_cvm": {
"vm_uuid": "<string>",
"app_id": "<string>",
"status": "<string>",
"vcpu": 123,
"memory": 123,
"disk_size": 123,
"teepod_id": 123,
"teepod_name": "<string>",
"region_identifier": "<string>",
"kms_type": "<string>",
"instance_type": "<string>",
"name": "",
"listed": true,
"base_image": "<string>",
"kms_slug": "<string>",
"kms_id": "<string>",
"instance_id": "<string>",
"machine_info": {
"vcpu": 123,
"memory": 123,
"disk_size": 123,
"gpu_count": 123
},
"updated_at": "2023-11-07T05:31:56Z"
},
"cvms": [
{
"vm_uuid": "<string>",
"app_id": "<string>",
"status": "<string>",
"vcpu": 123,
"memory": 123,
"disk_size": 123,
"teepod_id": 123,
"teepod_name": "<string>",
"region_identifier": "<string>",
"kms_type": "<string>",
"instance_type": "<string>",
"name": "",
"listed": true,
"base_image": "<string>",
"kms_slug": "<string>",
"kms_id": "<string>",
"instance_id": "<string>",
"machine_info": {
"vcpu": 123,
"memory": 123,
"disk_size": 123,
"gpu_count": 123
},
"updated_at": "2023-11-07T05:31:56Z"
}
],
"cvm_count": 0,
"team_slug": "<string>",
"team_name": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Apps
List apps
Returns paginated app list with filtering. Response schema varies by API version.
GET
/
api
/
v1
/
apps
List apps
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Search name, app_id, vm_uuid, instance_id
CVM status filter
Listed status filter
OS image name filter
Instance type filter
KMS slug filter
KMS type filter
Node name filter (matches teepod or node name)
Region identifier filter
Response
Paginated app list
Was this page helpful?
⌘I

